Bug 2273511 - CVE-2024-3116 pgadmin4: pgadmin: remote code execution via validate binary path API [fedora-all]
Summary: CVE-2024-3116 pgadmin4: pgadmin: remote code execution via validate binary pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin4
Version: 39
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Sandro Mani
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-3116
TreeView+ depends on / blocked
 
Reported: 2024-04-04 19:18 UTC by Robb Gatica
Modified: 2024-04-23 01:20 UTC (History)
1 user (show)

Fixed In Version: pgadmin4-7.8-5.fc39
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-23 01:20:00 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Robb Gatica 2024-04-04 19:18:08 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2273510

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Robb Gatica 2024-04-04 19:18:10 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2273510,2273511

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-04-14 22:35:04 UTC
FEDORA-2024-f04c2ec90b (pgadmin4-7.8-5.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-f04c2ec90b

Comment 3 Fedora Update System 2024-04-15 01:12:03 UTC
FEDORA-2024-f04c2ec90b has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-f04c2ec90b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-f04c2ec90b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2024-04-23 01:20:00 UTC
FEDORA-2024-f04c2ec90b (pgadmin4-7.8-5.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.